Announcement

Collapse
No announcement yet.

Radeon Gallium3D Improvements Compared To Legacy Catalyst

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Radeon Gallium3D Improvements Compared To Legacy Catalyst

    Phoronix: Radeon Gallium3D Improvements Compared To Legacy Catalyst

    Recently I published OpenGL benchmark results on Phoronix showing the open-source R600 Gallium3D driver competing with Catalyst for Radeon HD 5000/6000 series graphics cards. For the Radeon HD 7000 series and newer "GCN" graphics cards that are supported by the different RadeonSI driver, the performance has a ways to improve. What wasn't included with those recent Phoronix articles were looking at the performance for the Radeon HD 4000 series GPUs, which is now only supported by the open-source driver and the Catalyst Legacy driver that doesn't work on modern Linux distributions. Therefore, for this article we're looking at the Catalyst Legacy performance on Ubuntu 12.10 (as well as its open-source R600g driver at the time) and compare it to the OpenGL performance found out of the box on Ubuntu 13.10 and then with the latest Linux 3.12 and Mesa 10.0 driver code.

    http://www.phoronix.com/vr.php?view=19316

  • #2
    While these benchmarks don't apply for my hardware (HD7800 series), its still interesting seeing how far the driver has advanced for older hardware.

    Comment


    • #3
      The Daemon-powered Unvanquished game is much faster with the Ubuntu 13.10 drivers than the open-source state one year ago with Ubuntu 12.10, but the Catalyst blob was still faster.
      By a frame?..

      Comment


      • #4
        and

        Originally posted by GreatEmerald View Post
        By a frame?..
        by a frame an half lol

        Comment


        • #5
          Isn't the 4870 the card that everyone always asks Michael "Whats wrong with your card?" because its performance numbers are out of whack with similar cards?

          Comment


          • #6
            Originally posted by Andrecorreia View Post
            by a frame an half lol
            \begin{irony}
            If that is not reason enough to use Catalyst....
            \end{irony}

            Comment


            • #7
              In my case, I think source games runs a bit better (hd42000) in linux free driver than in windows (thats something)

              I dont understand how AMD leave us without legacy driver support, that should be illegal, we bought their hardware, and they dont give us updated drivers. Thats not fair at all.

              Comment


              • #8
                Originally posted by edoantonioco View Post
                I dont understand how AMD leave us without legacy driver support [...]
                There isn't?

                Comment


                • #9
                  Originally posted by oleid View Post
                  There isn't?
                  Hasn't been updated since January.

                  With these requirements: Automated installer and Display Drivers for Xorg 6.9 to Xserver 1.12 and Kernel version up to 3.4

                  Comment


                  • #10
                    Originally posted by edoantonioco View Post
                    In my case, I think source games runs a bit better (hd42000) in linux free driver than in windows (thats something)

                    I dont understand how AMD leave us without legacy driver support, that should be illegal, we bought their hardware, and they dont give us updated drivers. Thats not fair at all.
                    They are providing updated drivers via the OSS radeon driver, nearly fully supporting your hardware [1]. Why should they be required (by law!?!) to maintain two drivers when they have given us (the OSS community) a much better solution than originally provided by fglrx? Besides, if you still want to run the fglrx legacy driver, no one is stopping you from running it on the still supported Ubuntu 12.10.

                    [1] Geometry shaders are a WIP, AFAIK. OpenCL support for this class of hardware may never happen. CrossFire support may end up happening via a generic path provided by the DRM render nodes work, but AFAIK noone is working on this.

                    Comment


                    • #11
                      Thanks for the great benchmark Michael, I was waiting the whole week to see how much open source drivers are in par with Catalyst

                      Originally posted by edoantonioco View Post
                      I dont understand how AMD leave us without legacy driver support, that should be illegal, we bought their hardware, and they dont give us updated drivers. Thats not fair at all.
                      Fortunately open source drivers are providing good power management (thanks to agd5f) and we will hopefully see full OpenGL 3.2/3.3 support in next few Mesa releases. That's pretty enough for me right now, and to be honest I don't care much about UVD and OpenCL support.

                      But yeah, I won't fall in AMD trap anymore. I prefer to spend a few more bucks and buy an expensive NVIDIA card next time with day one OpenGL 4.x support and not beg ages for essential functionalities.

                      Comment


                      • #12
                        Originally posted by Ericg View Post
                        Isn't the 4870 the card that everyone always asks Michael "Whats wrong with your card?" because its performance numbers are out of whack with similar cards?
                        No, that's the HD 6570. Not the 4870s. I have many HD 4870s as that was back during the days when AMD sent out globs of hardware and all of my HD 4870s are performing about the same.
                        Michael Larabel
                        http://www.michaellarabel.com/

                        Comment


                        • #13
                          Originally posted by boot View Post
                          Hasn't been updated since January.

                          With these requirements: Automated installer and Display Drivers for Xorg 6.9 to Xserver 1.12 and Kernel version up to 3.4

                          Maybe people are stuck with Xserver 1.12 (which is not that bad), however, the legacy driver seems to work fine with kernels at least up to 3.11 (properly patched, of course) [1]

                          [1] https://wiki.archlinux.org/index.php...ial_repository

                          Comment


                          • #14
                            Originally posted by sandain View Post
                            They are providing updated drivers via the OSS radeon driver, nearly fully supporting your hardware [1]. Why should they be required (by law!?!) to maintain two drivers when they have given us (the OSS community) a much better solution than originally provided by fglrx?
                            Problem is that we are getting charged for fglrx drivers, but support we get in exchange is just a few Linux driver developers.

                            Originally posted by sandain View Post
                            Besides, if you still want to run the fglrx legacy driver, no one is stopping you from running it on the still supported Ubuntu 12.10.
                            Features and security issues addressed in new Linux kernel and xorg releases?

                            Comment


                            • #15
                              Originally posted by Michael View Post
                              No, that's the HD 6570. Not the 4870s. I have many HD 4870s as that was back during the days when AMD sent out globs of hardware and all of my HD 4870s are performing about the same.
                              Okie Dokie Wasn't sure and I didn't want to rip on the benchmark without asking first. Honestly a little surprised at performance for this card because I thought this class of hardware was doing better than that o_O

                              Comment

                              Working...
                              X